#include <fstream>
#include <string.h>

using namespace std;

int main(){
  ifstream fi;
  fi.open("KYTUK.INP");
  string s;
  std::getline(fi,s);
  fi.close();
  ofstream fo;
  fo.open ("KYTUK.OUT");
  int a[256]={0},i,num=0;
  for (i=0;i<s.length();i++){
    a[int(s[i])]=1;
  }
  for (i=0;i<256;i++){
    if (a[i]==1&&i!=44&&i!=46){num++;}
  }
  fo<<num;
}
